.overlay {
  text-align: center;
  display: block;
  position: absolute;
  bottom: 0;
  left: 0;
  top: 0;
  right: 0;
  background: $overlay-color;
  @include layer(overlay);
  transition: opacity 400ms ease-in-out, visibility 400ms ease-in-out;
  visibility: hidden;
  opacity: 0;

  &.visible {
    visibility: visible;
    opacity: 1;
  }

  .center-vertical {
    position: absolute;
    top: 50%;
    left: 50%;
    -webkit-transform: translateX(-50%);
    transform: translate(-50%, -50%);
  }
}
